libmpdclient: /usr/src/extras/libmpdclient/libmpdclient-2.11-1.i686/src/libmpdclient-2.11/include/mpd/settings.h File Reference

libmpdclient 2.11

Functions
settings.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions
struct mpd_settings * | mpd_settings_new (const char *host, unsigned port, unsigned timeout_ms, const char *reserved, const char *password)
void | mpd_settings_free (struct mpd_settings *settings)
const char * | mpd_settings_get_host (const struct mpd_settings *settings)
unsigned | mpd_settings_get_port (const struct mpd_settings *settings)
unsigned | mpd_settings_get_timeout_ms (const struct mpd_settings *settings)
const char * | mpd_settings_get_password (const struct mpd_settings *settings)

## Detailed Description

MPD client library.

Library to determine connection settings prior to calling mpd_connection_new().

Do not include this header directly. Use mpd/client.h instead.

Definition in file settings.h.

## Function Documentation

## ◆ mpd_settings_new()

struct mpd_settings* mpd_settings_new | ( | const char * | host,
|  | unsigned | port,
|  | unsigned | timeout_ms,
|  | const char * | reserved,
|  | const char * | password
| ) |  |

Creates a new mpd_settings object. The values which are not passed by the caller are taken from environment variables.

Parameters

  host | the server's host name, IP address or Unix socket path. An address starting with '@' denotes an "abstract socket". NULL is allowed here, which will connect to the default host (using the MPD_HOST environment variable if present).
  port | the TCP port to connect to, 0 for default port (using the MPD_PORT environment variable if present). If "host" is a Unix socket path, this parameter is ignored.
  timeout_ms | the timeout in milliseconds, 0 for the default timeout (the environment variable MPD_TIMEOUT may specify a timeout in seconds)
  reserved | reserved for future use, pass NULL
  password | the password, or NULL to use the default (MPD_HOST before "@")

Returns
  a mpd_settings object or NULL if out of memory

Since
  libmpdclient 2.4

## ◆ mpd_settings_free()

void mpd_settings_free | ( | struct mpd_settings * | settings | ) |

Releases a mpd_settings object.

Since
  libmpdclient 2.4

## ◆ mpd_settings_get_host()

const char* mpd_settings_get_host | ( | const struct mpd_settings * | settings | ) |

Returns the host name (without password/port), or NULL if unknown.

Since
  libmpdclient 2.4

## ◆ mpd_settings_get_port()

unsigned mpd_settings_get_port | ( | const struct mpd_settings * | settings | ) |

Returns the port number, or 0 if not applicable.

Since
  libmpdclient 2.4

## ◆ mpd_settings_get_timeout_ms()

unsigned mpd_settings_get_timeout_ms | ( | const struct mpd_settings * | settings | ) |

Returns the timeout in milliseconds, or 0 if unknown.

Since
  libmpdclient 2.4

## ◆ mpd_settings_get_password()

const char* mpd_settings_get_password | ( | const struct mpd_settings * | settings | ) |

Returns the password, or NULL if none was configured.

Since
  libmpdclient 2.4